﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Net;

namespace howto_security_protocols
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            cboUrl.SelectedIndex = 0;

            ServicePointManager.SecurityProtocol =
                Protocols.protocol_Tls11 | Protocols.protocol_Tls12;
        }

        private void btnFetch_Click(object sender, EventArgs e)
        {
            txtResult.Clear();
            Cursor = Cursors.WaitCursor;
            txtResult.Text = DownloadUrl(cboUrl.Text);
            Cursor = Cursors.Default;
        }

        private string DownloadUrl(string url)
        {
            try
            {
                using (WebClient client = new WebClient())
                {
                    return client.DownloadString(url);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return null;
            }
        }
    }
}
